# AI Blacklister
Lets you blacklist certain items and equipment so that monsters will never receive them.

## Installation
1. Move `AIBlacklister.dll` to `Risk of Rain 2\BepInEx\plugins`.

*You may optionally make a folder and put the .dll file inside of it for organizational purposes.*

## Configuration
1. Install the plugin.
2. Run the game and a configuration file will be generated at `Risk of Rain 2\BepInEx\config`.
3. Open `Unordinal.AIBlacklister.cfg` with any text editor.
4. Edit the settings to your preference.
5. Restart your game.

### Settings
*Valid item code names can be found [here](https://github.com/risk-of-thunder/R2Wiki/wiki/Item-&-Equipment-IDs-and-Names). By default, all blacklisted vanilla items are set in the config. Removing them from the config will allow the AI to receive these items. The equipment are ones I personally put in to lessen the amount of deaths by Scavengers that were out of the player's control or were just useless, such as the Scanner.*

`ItemBlacklist`: A comma-separated list of item code names. Items here are blacklisted for the AI, which means AI characters such as monsters in the Void Fields, monsters with Artifact of Evolution enabled, and Scavengers will never receive them. The default items here are already blacklisted in vanilla, aside from `ShockNearby` (Unstable Tesla Coil). Removing them from this list will allow the AI to receive them.

`EquipmentBlacklist`: A comma-separated list of equipment code names. Equipment here are blacklisted for the Scavenger AI, which means they'll never spawn with any of these equipment items.

## Contact
DM `Unordinal#3087` on the [Risk of Rain 2 Modding Discord](https://discord.gg/5MbXZvd) if you have any issues.

## Changelog

### `1.0.1`
- Updated for the 1.0 update of the game.

### `1.0.0`
- Initial release.
